Summary:        Modified version of the Athena Widgets with N*XTSTEP appearance
Name:           neXtaw
Version:        0.15.1
Release:        1
URL:            http://siag.nu/%{name}/
Source0:        http://siag.nu/pub/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
License:        MIT
Group:          System Environment/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
neXtaw is a replacement library for the Athena (libXaw) widget set. It
is based on Xaw3d, by Kaleb Keithley and is almost 100% backward
compatible with it. Its goal is to try to emulate the look and feel of
the N*XTSTEP GUI.

The library is available as 32-bit and 64-bit.


%package        devel
Summary:        Development files for the neXtaw library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
neXtaw is a replacement library for the Athena (libXaw) widget set. It
is based on Xaw3d, by Kaleb Keithley and is almost 100% backward
compatible with it. Its goal is to try to emulate the look and feel of
the N*XTSTEP GUI. This package contains the development files of the
neXtaw library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp ./X11/neXtaw/.libs/libneXtaw.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./X11/neXtaw/.libs/libneXtaw.a ./libneXtaw.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

cp -r doc __docs
cd __docs
rm -f Makefile* TODO app-defaults/Makefile*

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog README TODO __docs/*
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%dir %{_includedir}/X11/neXtaw/
%{_libdir}/*.la
/usr/include/X11/*
/usr/lib/*.la


%changelog
* Tue Apr 22 2008 Michael Perzl <michael@perzl.org> - 0.15.1-1
- first version for AIX V5.1 and higher
